Bug 975366 - [abrt] cinnamon-1.6.7-2.fc18: intel_miptree_map: Process /usr/bin/cinnamon was killed by signal 11 (SIGSEGV)
[abrt] cinnamon-1.6.7-2.fc18: intel_miptree_map: Process /usr/bin/cinnamon wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:095e1bd5a89d40a64d474437883...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 05:09 EDT by Steve Hindmarch
Modified: 2014-02-05 16:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:51:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.62 KB, text/plain)
2013-06-18 05:09 EDT, Steve Hindmarch
no flags Details
File: cgroup (126 bytes, text/plain)
2013-06-18 05:09 EDT, Steve Hindmarch
no flags Details
File: core_backtrace (3.46 KB, text/plain)
2013-06-18 05:10 EDT, Steve Hindmarch
no flags Details
File: dso_list (21.43 KB, text/plain)
2013-06-18 05:10 EDT, Steve Hindmarch
no flags Details
File: environ (2.25 KB, text/plain)
2013-06-18 05:10 EDT, Steve Hindmarch
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-18 05:10 EDT, Steve Hindmarch
no flags Details
File: maps (87.00 KB, text/plain)
2013-06-18 05:10 EDT, Steve Hindmarch
no flags Details
File: open_fds (4.49 KB, text/plain)
2013-06-18 05:10 EDT, Steve Hindmarch
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-06-18 05:10 EDT, Steve Hindmarch
no flags Details
File: var_log_messages (625 bytes, text/plain)
2013-06-18 05:10 EDT, Steve Hindmarch
no flags Details

  None (edit)
Description Steve Hindmarch 2013-06-18 05:09:52 EDT
Description of problem:
Just using Cinnamon, then one of my terminals became invisible when I tried to stretch it. All dialogs were then black and all new app frames were invisible. I restarted cinnamon but this failed with an "oops" message.

Version-Release number of selected component:
cinnamon-1.6.7-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/cinnamon
crash_function: intel_miptree_map
executable:     /usr/bin/cinnamon
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            500
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 intel_miptree_map at intel_mipmap_tree.c:2062
 #1 intel_map_renderbuffer at intel_fbo.c:135
 #2 map_attachment at ../../../src/mesa/swrast/s_renderbuffer.c:579
 #3 _swrast_map_renderbuffers at ../../../src/mesa/swrast/s_renderbuffer.c:653
 #4 _swrast_render_start at ../../../src/mesa/swrast/s_context.c:896
 #5 _swsetup_RenderStart at ../../../src/mesa/swrast_setup/ss_context.c:203
 #6 run_render at ../../../src/mesa/tnl/t_vb_render.c:277
 #7 _tnl_run_pipeline at ../../../src/mesa/tnl/t_pipeline.c:164
 #8 intelRunPipeline at intel_tris.c:1099
 #9 _tnl_draw_prims at ../../../src/mesa/tnl/t_draw.c:526
Comment 1 Steve Hindmarch 2013-06-18 05:09:56 EDT
Created attachment 762422 [details]
File: backtrace
Comment 2 Steve Hindmarch 2013-06-18 05:09:59 EDT
Created attachment 762423 [details]
File: cgroup
Comment 3 Steve Hindmarch 2013-06-18 05:10:02 EDT
Created attachment 762424 [details]
File: core_backtrace
Comment 4 Steve Hindmarch 2013-06-18 05:10:08 EDT
Created attachment 762425 [details]
File: dso_list
Comment 5 Steve Hindmarch 2013-06-18 05:10:11 EDT
Created attachment 762426 [details]
File: environ
Comment 6 Steve Hindmarch 2013-06-18 05:10:13 EDT
Created attachment 762427 [details]
File: limits
Comment 7 Steve Hindmarch 2013-06-18 05:10:22 EDT
Created attachment 762428 [details]
File: maps
Comment 8 Steve Hindmarch 2013-06-18 05:10:25 EDT
Created attachment 762429 [details]
File: open_fds
Comment 9 Steve Hindmarch 2013-06-18 05:10:29 EDT
Created attachment 762430 [details]
File: proc_pid_status
Comment 10 Steve Hindmarch 2013-06-18 05:10:32 EDT
Created attachment 762431 [details]
File: var_log_messages
Comment 11 Steve Hindmarch 2013-06-18 10:01:57 EDT
Twice in one day.
Comment 12 Steve Hindmarch 2013-07-02 08:32:02 EDT
Happened again. Is there anywhere I can look for logs to get more information?
Comment 13 Wolfgang Ulbrich 2013-07-02 08:58:16 EDT
Our main maitainer is currently in holidays, he will come back in a week or so.
Please have a little patience.

But this looks like a error with mesa opengl and the intel graphic driver.
 #2 map_attachment at ../../../src/mesa/swrast/s_renderbuffer.c:579
 #3 _swrast_map_renderbuffers at ../../../src/mesa/swrast/s_renderbuffer.c:653
 #4 _swrast_render_start at ../../../src/mesa/swrast/s_context.c:896
 #5 _swsetup_RenderStart at ../../../src/mesa/swrast_setup/ss_context.c:203

I noticed such errors already with other packages, ie. compiz.
Comment 14 leigh scott 2013-07-02 10:09:55 EDT
(In reply to Steve Hindmarch from comment #12)
> Happened again. Is there anywhere I can look for logs to get more
> information?

It's the intel video driver

Jun 18 09:47:34 gabriel kernel: [318813.452335] cinnamon[11935]: segfault at 2c ip 00007fa575549307 sp 00007fff98d8e8a0 error 4 in i915_dri.so[7fa575537000+56000]
Comment 15 Steve Hindmarch 2013-07-02 10:13:06 EDT
(In reply to leigh scott from comment #14)
> (In reply to Steve Hindmarch from comment #12)
> > Happened again. Is there anywhere I can look for logs to get more
> > information?
> 
> It's the intel video driver
> 
> Jun 18 09:47:34 gabriel kernel: [318813.452335] cinnamon[11935]: segfault at
> 2c ip 00007fa575549307 sp 00007fff98d8e8a0 error 4 in
> i915_dri.so[7fa575537000+56000]

OK. If there is anything I can do to help or gather more information please just say. As it is unpredictable when this happens just let me know if I should be running with any settings that will yield more useful logs.
Comment 16 Steve Hindmarch 2013-07-09 12:08:00 EDT
Happened again yesterday and again today.
Comment 17 Wolfgang Ulbrich 2013-07-09 12:52:24 EDT
Try to install kernel-3.9.9 from updates-testing or wait for kernel-3.10.0
THey did some great improvments with grapic drivers.
Comment 18 Steve Hindmarch 2013-07-10 05:58:24 EDT
I am currently using 3.9.6-200.fc18.x86_64 so I will investigate an upgrade and let you know what happens.
Comment 19 Steve Hindmarch 2013-07-29 06:02:06 EDT
I have to report that upgrading the kernel has not worked. I have been using all of the latest kernels for the last three weeks (3.9.9, 3.9.10 and 3.9.11) but still get this problem regularly.

The kernel I am currently using is 3.9.11-200.fc18.x86_64
Comment 20 Fedora End Of Life 2013-12-21 09:03:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2014-02-05 16:51:49 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.